[Haskell-cafe] hs-plugins compile error

John O'Donnell jtod at dcs.gla.ac.uk
Tue Jun 3 10:49:06 EDT 2008

Thanks, Edsko.

My version of gcc is 4.3.0.  It may well be that some other piece of
software in the Fedora 9 distribution is incompatible with the hs-plugins
installation script.

Has anyone installed hs-plugins on Fedora?  I was able to get it to
compile on Fedora 4, using ghc-6.4, two or three years ago, but it's never
worked on any of my systems since then.


-----Original Message-----
From: Edsko de Vries [mailto:devriese at cs.tcd.ie]
Sent: Tue 2008-06-03 15:35
To: John O'Donnell
Cc: Edsko de Vries; Don Stewart; haskell-cafe at haskell.org
Subject: Re: [Haskell-cafe] hs-plugins compile error
On Tue, Jun 03, 2008 at 03:07:33PM +0100, John O'Donnell wrote:
> Hi,
> What is the status of hs-plugins?  I recently tried to install the
> version plugins-1.2 on hackage, using a Gnu/Linux box with Fedora 9
> and ghc-6.8.2, but didn't get past the configure stage (see config.log
> below).
> The installation script is invoking gcc with a -V command line argument
> but according to gcc documentation -V requires an argument.
> Has anyone managed to get hs-plugins to work?  If so, what platform,
> which version of ghc and gcc, and where did you find the hs-plugins
> source?

It's working fine for me (after applying the patch I submitted), on
Debian Lenny (which currently comes with ghc 6.8.2, gcc 4.2.4) and the
source from Hackage. Source from the darcs repository also works fine
(after applying the same patch).

I *am* getting an application crash sometimes when I close my
application, but I have not yet been able to track that down so I'm not
100% sure it's due to hs-plugins.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://www.haskell.org/pipermail/haskell-cafe/attachments/20080603/daad2cb7/attachment.htm

More information about the Haskell-Cafe mailing list